geodGc {oce} | R Documentation

## Great-circle segments between points on earth

### Description

Find great-circle segments between two points on earth

### Usage

    geodGc(longitude, latitude, dmax)

### Arguments

`longitude` | vector of longitudes, in degrees east
`latitude` | vector of latitudes, in degrees north
`dmax` | maximum angular separation to tolerate between sub-segments, in degrees.

### Details

Each pair in the `longitude` and `latitude` vectors is considered in turn. For long vectors, this may be slow.

### Value

Data frame of `longitude` and `latitude`.

### Author(s)

Dan Kelley, based on code from Clark Richards, in turn based on formulae provided by Ed Williams [1].

### References

1. http://williams.best.vwh.net/avform.htm#Intermediate

### See Also

`geodDist` and `geodXy`

### Examples

    ## Not run:
    library(oce)
    data(coastlineWorld)
    mapPlot(coastlineWorld, type='l',
            longitudelim=c(-80,10), latitudelim=c(35,80),
            projection="+proj=ortho", orientation=c(35, -35, 0))
    ## Great circle from New York to Paris (Lindberg's flight)
    l <- geodGc(c(-73.94,2.35), c(40.67,48.86), 1)
    mapLines(l$longitude, l$latitude, col='red', lwd=2)

    ## End(Not run)

[Package oce version 0.9-18 Index]